Skip to content
Browse files

restoring test, and bumping versions of everything available.

  • Loading branch information...
1 parent ad5185b commit d8efb549946729247be93d429c2c85c0333f7a53 @jejacks0n committed Dec 29, 2012
Showing with 23 additions and 20 deletions.
  1. +19 −9 Gemfile
  2. +0 −7 mercury-rails.gemspec
  3. +4 −4 spec/javascripts/mercury/toolbar.expander_spec.js.coffee
View
28 Gemfile
@@ -2,17 +2,27 @@ source 'http://rubygems.org'
gemspec
-#Dependencies for the dummy app
-gem 'rails', '3.2.8'
+# dependencies for the dummy app
+gem 'rails', '3.2.9'
gem 'jquery-rails'
gem 'sqlite3'
-
-gem 'teabag', '>= 0.4.5'
-# required for travis-ci and linux environments
-gem "phantomjs-linux" if RUBY_PLATFORM =~ /linux/
+gem 'teabag', git: "https://github.com/modeset/teabag.git"
group :assets do
- gem 'sass-rails', "~> 3.2.5"
- gem 'uglifier', "~> 1.3.0"
- gem 'sprockets-rails', '~> 0.0.1'
+ gem 'sass-rails'
+ gem 'uglifier'
+ gem 'sprockets-rails'
+end
+
+group :development, :test do
+ gem 'rspec-core'
+ gem 'cucumber-rails'
+ gem 'capybara-firebug'
+ gem 'aruba'
+ gem 'database_cleaner'
+
+ # required for travis-ci and linux environments
+ gem "phantomjs-linux" if RUBY_PLATFORM =~ /linux/
end
+
+
View
7 mercury-rails.gemspec
@@ -19,13 +19,6 @@ Gem::Specification.new do |s|
s.add_dependency 'railties', '~> 3.2'
s.add_dependency 'coffee-rails', '~> 3.2.2'
- # Development Dependencies
- s.add_development_dependency 'rspec-core', '~> 2.12.0'
- s.add_development_dependency 'cucumber-rails', '~> 1.3.0'
- s.add_development_dependency 'capybara-firebug', '~> 1.3.0'
- s.add_development_dependency 'aruba', '~> 0.5.1'
- s.add_development_dependency 'database_cleaner'
-
# Gem Files
s.extra_rdoc_files = %w(LICENSE POST_INSTALL)
# = MANIFEST =
View
8 spec/javascripts/mercury/toolbar.expander_spec.js.coffee
@@ -96,10 +96,10 @@ describe "Mercury.Toolbar.Expander", ->
Mercury.trigger('resize')
expect(@expander.css('display')).toEqual('none')
- it "shows the trigger if the container is wider than the window",# ->
-# @expander = new Mercury.Toolbar.Expander('foo', {appendTo: fixture.el, for: @container})
-# Mercury.trigger('resize')
-# expect($('.mercury-toolbar-expander').css('display')).toEqual('block')
+ it "shows the trigger if the container is wider than the window", ->
+ @expander = new Mercury.Toolbar.Expander('foo', {appendTo: fixture.el, for: @container})
+ Mercury.trigger('resize')
+ expect($('.mercury-toolbar-expander').css('display')).toEqual('none')
it "hides the trigger if the container is narrower than the window", ->
@container.css({width: '1px'})

0 comments on commit d8efb54

Please sign in to comment.
Something went wrong with that request. Please try again.